org.keycloak.saml.common.constants

## Interface WSTrustConstants

-     public interface WSTrustConstants

  This class defines the constants used throughout the WS-Trust implementation code.

  Author:
    Stefan Guilhen, Anil Saldhana

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `WSTrustConstants.WSSE`
    `static interface` | `WSTrustConstants.XMLDSig`
    `static interface` | `WSTrustConstants.XMLEnc`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALLOW`
    `static String` | `BASE_NAMESPACE`
    `static String` | `BATCH_ISSUE_REQUEST`
    `static String` | `BATCH_VALIDATE_REQUEST`
    `static String` | `BINARY_SECRET`
    `static String` | `BS_TYPE_ASYMMETRIC`
    `static String` | `BS_TYPE_NONCE`
    `static String` | `BS_TYPE_SYMMETRIC`
    `static String` | `CANCEL_REQUEST`
    `static String` | `CANCEL_TARGET`
    `static String` | `CK_PSHA1`
    `static String` | `CODE`
    `static String` | `COMPUTED_KEY`
    `static String` | `COMPUTED_KEY_ALGORITHM`
    `static String` | `CREATED`
    `static String` | `DSIG_NS`
    `static String` | `ENTROPY`
    `static String` | `EXPIRES`
    `static QName` | `FAILED_AUTHENTICATION`
    `static QName` | `INVALID_SECURITY`
    `static QName` | `INVALID_SECURITY_TOKEN`
    `static String` | `ISSUE_REQUEST`
    `static String` | `ISSUER`
    `static String` | `KEY_SIZE`
    `static String` | `KEY_TYPE`
    `static String` | `KEY_TYPE_BEARER`
    `static String` | `KEY_TYPE_PUBLIC`
    `static String` | `KEY_TYPE_SYMMETRIC`
    `static String` | `LIFETIME`
    `static String` | `OK`
    `static String` | `ON_BEHALF_OF`
    `static String` | `PREFIX`
    `static String` | `REASON`
    `static String` | `RENEW_REQUEST`
    `static String` | `RENEW_TARGET`
    `static String` | `RENEWING`
    `static String` | `REQUEST_TYPE`
    `static String` | `REQUESTED_ATTACHED_REFERENCE`
    `static String` | `REQUESTED_PROOF_TOKEN`
    `static String` | `REQUESTED_TOKEN`
    `static String` | `REQUESTED_TOKEN_CANCELLED`
    `static String` | `REQUESTED_UNATTACHED_REFERENCE`
    `static String` | `RST`
    `static String` | `RST_COLLECTION`
    `static String` | `RST_CONTEXT`
    `static String` | `RSTR`
    `static String` | `RSTR_COLLECTION`
    `static String` | `RSTR_STATUS_TOKEN_TYPE`
    `static String` | `SAML2_ASSERTION_NS`
    `static String` | `SECONDARY_PARAMETERS`
    `static QName` | `SECURITY_TOKEN_UNAVAILABLE`
    `static String` | `STATUS`
    `static String` | `STATUS_CODE_INVALID`
    `static String` | `STATUS_CODE_VALID`
    `static String` | `STATUS_TYPE`
    `static String` | `TOKEN_TYPE`
    `static String` | `TYPE`
    `static String` | `USE_KEY`
    `static String` | `VALIDATE_REQUEST`
    `static String` | `VALIDATE_TARGET`
    `static String` | `VALUE_TYPE`
    `static String` | `WSA_NS`
    `static String` | `WSP_15_NS`
    `static String` | `WSP_NS`
    `static String` | `WSSE_NS`
    `static String` | `WSSE11_NS`
    `static String` | `WSU_NS`
    `static String` | `XENC_NS`

- - ### Field Detail

    - #### BASE_NAMESPACE

          static final String BASE_NAMESPACE

      See Also:
        Constant Field Values

    - #### PREFIX

          static final String PREFIX

      See Also:
        Constant Field Values

    - #### BATCH_ISSUE_REQUEST

          static final String BATCH_ISSUE_REQUEST

      See Also:
        Constant Field Values

    - #### ISSUE_REQUEST

          static final String ISSUE_REQUEST

      See Also:
        Constant Field Values

    - #### RENEW_REQUEST

          static final String RENEW_REQUEST

      See Also:
        Constant Field Values

    - #### CANCEL_REQUEST

          static final String CANCEL_REQUEST

      See Also:
        Constant Field Values

    - #### VALIDATE_REQUEST

          static final String VALIDATE_REQUEST

      See Also:
        Constant Field Values

    - #### BATCH_VALIDATE_REQUEST

          static final String BATCH_VALIDATE_REQUEST

      See Also:
        Constant Field Values

    - #### STATUS_TYPE

          static final String STATUS_TYPE

      See Also:
        Constant Field Values

    - #### STATUS_CODE_VALID

          static final String STATUS_CODE_VALID

      See Also:
        Constant Field Values

    - #### STATUS_CODE_INVALID

          static final String STATUS_CODE_INVALID

      See Also:
        Constant Field Values

    - #### KEY_TYPE_BEARER

          static final String KEY_TYPE_BEARER

      See Also:
        Constant Field Values

    - #### KEY_TYPE_SYMMETRIC

          static final String KEY_TYPE_SYMMETRIC

      See Also:
        Constant Field Values

    - #### KEY_TYPE_PUBLIC

          static final String KEY_TYPE_PUBLIC

      See Also:
        Constant Field Values

    - #### BS_TYPE_ASYMMETRIC

          static final String BS_TYPE_ASYMMETRIC

      See Also:
        Constant Field Values

    - #### BS_TYPE_SYMMETRIC

          static final String BS_TYPE_SYMMETRIC

      See Also:
        Constant Field Values

    - #### BS_TYPE_NONCE

          static final String BS_TYPE_NONCE

      See Also:
        Constant Field Values

    - #### CK_PSHA1

          static final String CK_PSHA1

      See Also:
        Constant Field Values

    - #### WSA_NS

          static final String WSA_NS

      See Also:
        Constant Field Values

    - #### WSP_NS

          static final String WSP_NS

      See Also:
        Constant Field Values

    - #### WSP_15_NS

          static final String WSP_15_NS

      See Also:
        Constant Field Values

    - #### WSU_NS

          static final String WSU_NS

      See Also:
        Constant Field Values

    - #### WSSE_NS

          static final String WSSE_NS

      See Also:
        Constant Field Values

    - #### WSSE11_NS

          static final String WSSE11_NS

      See Also:
        Constant Field Values

    - #### XENC_NS

          static final String XENC_NS

      See Also:
        Constant Field Values

    - #### DSIG_NS

          static final String DSIG_NS

      See Also:
        Constant Field Values

    - #### SAML2_ASSERTION_NS

          static final String SAML2_ASSERTION_NS

      See Also:
        Constant Field Values

    - #### SECURITY_TOKEN_UNAVAILABLE

          static final QName SECURITY_TOKEN_UNAVAILABLE

    - #### INVALID_SECURITY_TOKEN

          static final QName INVALID_SECURITY_TOKEN

    - #### INVALID_SECURITY

          static final QName INVALID_SECURITY

    - #### FAILED_AUTHENTICATION

          static final QName FAILED_AUTHENTICATION

    - #### RSTR_STATUS_TOKEN_TYPE

          static final String RSTR_STATUS_TOKEN_TYPE

      See Also:
        Constant Field Values

    - #### BINARY_SECRET

          static final String BINARY_SECRET

      See Also:
        Constant Field Values

    - #### CREATED

          static final String CREATED

      See Also:
        Constant Field Values

    - #### COMPUTED_KEY_ALGORITHM

          static final String COMPUTED_KEY_ALGORITHM

      See Also:
        Constant Field Values

    - #### ENTROPY

          static final String ENTROPY

      See Also:
        Constant Field Values

    - #### EXPIRES

          static final String EXPIRES

      See Also:
        Constant Field Values

    - #### ISSUER

          static final String ISSUER

      See Also:
        Constant Field Values

    - #### ON_BEHALF_OF

          static final String ON_BEHALF_OF

      See Also:
        Constant Field Values

    - #### COMPUTED_KEY

          static final String COMPUTED_KEY

      See Also:
        Constant Field Values

    - #### KEY_SIZE

          static final String KEY_SIZE

      See Also:
        Constant Field Values

    - #### KEY_TYPE

          static final String KEY_TYPE

      See Also:
        Constant Field Values

    - #### LIFETIME

          static final String LIFETIME

      See Also:
        Constant Field Values

    - #### RENEWING

          static final String RENEWING

      See Also:
        Constant Field Values

    - #### RST

          static final String RST

      See Also:
        Constant Field Values

    - #### RSTR

          static final String RSTR

      See Also:
        Constant Field Values

    - #### RST_COLLECTION

          static final String RST_COLLECTION

      See Also:
        Constant Field Values

    - #### RSTR_COLLECTION

          static final String RSTR_COLLECTION

      See Also:
        Constant Field Values

    - #### REQUESTED_TOKEN

          static final String REQUESTED_TOKEN

      See Also:
        Constant Field Values

    - #### REQUESTED_TOKEN_CANCELLED

          static final String REQUESTED_TOKEN_CANCELLED

      See Also:
        Constant Field Values

    - #### REQUESTED_PROOF_TOKEN

          static final String REQUESTED_PROOF_TOKEN

      See Also:
        Constant Field Values

    - #### REQUESTED_ATTACHED_REFERENCE

          static final String REQUESTED_ATTACHED_REFERENCE

      See Also:
        Constant Field Values

    - #### REQUESTED_UNATTACHED_REFERENCE

          static final String REQUESTED_UNATTACHED_REFERENCE

      See Also:
        Constant Field Values

    - #### REQUEST_TYPE

          static final String REQUEST_TYPE

      See Also:
        Constant Field Values

    - #### TOKEN_TYPE

          static final String TOKEN_TYPE

      See Also:
        Constant Field Values

    - #### CANCEL_TARGET

          static final String CANCEL_TARGET

      See Also:
        Constant Field Values

    - #### RENEW_TARGET

          static final String RENEW_TARGET

      See Also:
        Constant Field Values

    - #### SECONDARY_PARAMETERS

          static final String SECONDARY_PARAMETERS

      See Also:
        Constant Field Values

    - #### VALIDATE_TARGET

          static final String VALIDATE_TARGET

      See Also:
        Constant Field Values

    - #### USE_KEY

          static final String USE_KEY

      See Also:
        Constant Field Values

    - #### STATUS

          static final String STATUS

      See Also:
        Constant Field Values

    - #### CODE

          static final String CODE

      See Also:
        Constant Field Values

    - #### REASON

          static final String REASON

      See Also:
        Constant Field Values

    - #### ALLOW

          static final String ALLOW

      See Also:
        Constant Field Values

    - #### OK

          static final String OK

      See Also:
        Constant Field Values

    - #### RST_CONTEXT

          static final String RST_CONTEXT

      See Also:
        Constant Field Values

    - #### TYPE

          static final String TYPE

      See Also:
        Constant Field Values

    - #### VALUE_TYPE

          static final String VALUE_TYPE

      See Also:
        Constant Field Values

Copyright © 2021 JBoss by Red Hat. All rights reserved.